curl --request GET \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/schedules' \
--header 'x-stateset-api-key: YOUR_API_KEY'
{
"items": [
{
"scheduleId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenantId": "acme-outdoors",
"jobType": "string",
"everySeconds": 250,
"enabled": true,
"nextRunAt": "2026-08-31T14:22:05Z",
"lastRunAt": "2026-08-31T14:22:05Z",
"lastError": "string",
"consecutiveFailures": 1,
"createdAt": "2026-08-31T14:22:05Z",
"updatedAt": "2026-08-31T14:22:05Z",
"cronExpression": "string",
"triggerType": "string",
"maxConsecutiveFailures": 1
}
],
"pagination": {
"page": 1,
"pageSize": 20,
"totalItems": 1,
"totalPages": 1,
"hasNext": true,
"hasPrevious": true
}
}
List schedules for a tenant.
Schedules
GET
/
v1
/
tenants
/
{tenant_id}
/
schedules
curl --request GET \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/schedules' \
--header 'x-stateset-api-key: YOUR_API_KEY'
{
"items": [
{
"scheduleId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenantId": "acme-outdoors",
"jobType": "string",
"everySeconds": 250,
"enabled": true,
"nextRunAt": "2026-08-31T14:22:05Z",
"lastRunAt": "2026-08-31T14:22:05Z",
"lastError": "string",
"consecutiveFailures": 1,
"createdAt": "2026-08-31T14:22:05Z",
"updatedAt": "2026-08-31T14:22:05Z",
"cronExpression": "string",
"triggerType": "string",
"maxConsecutiveFailures": 1
}
],
"pagination": {
"page": 1,
"pageSize": 20,
"totalItems": 1,
"totalPages": 1,
"hasNext": true,
"hasPrevious": true
}
}
Path parameters
string
required
Tenant identifier
Query parameters
integer (int32)
Page number (1-indexed)
integer (int32)
Items per page (max 100)
Response
object
object[]
required
object
required
Status codes
| Code | Meaning |
|---|---|
200 | Schedules |
401 | Unauthorized |
424 | Database not configured |
curl --request GET \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/schedules' \
--header 'x-stateset-api-key: YOUR_API_KEY'
{
"items": [
{
"scheduleId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenantId": "acme-outdoors",
"jobType": "string",
"everySeconds": 250,
"enabled": true,
"nextRunAt": "2026-08-31T14:22:05Z",
"lastRunAt": "2026-08-31T14:22:05Z",
"lastError": "string",
"consecutiveFailures": 1,
"createdAt": "2026-08-31T14:22:05Z",
"updatedAt": "2026-08-31T14:22:05Z",
"cronExpression": "string",
"triggerType": "string",
"maxConsecutiveFailures": 1
}
],
"pagination": {
"page": 1,
"pageSize": 20,
"totalItems": 1,
"totalPages": 1,
"hasNext": true,
"hasPrevious": true
}
}